# LONG VARCHAR data type

The LONG VARCHAR type allows storage of character strings with a maximum length of 32,700 characters. It is identical to VARCHAR, except that you do not have to specify a maximum length when creating columns of this type.

#### Syntax

    LONG VARCHAR

#### Corresponding compile-time Java type

java.lang.String

#### JDBC metadata type (java.sql.Types)

LONGVARCHAR

When you are converting from Java values to SQL values, no Java type corresponds to LONG VARCHAR.

Parent topic: Data types